Bug 1609777 - on F28 with php-imap crahses at graceful reload
Summary: on F28 with php-imap crahses at graceful reload
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: uw-imap
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-30 12:27 UTC by Harald Reindl
Modified: 2020-05-26 17:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:43:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2018-07-30 12:27:23 UTC
httpd - mod_prefork - other than with F27 if "imap.so" (the php extension) is loaded "apachectl graceful" leads in repeated child crashes

Stack trace of thread 70471:
#0  0x00007ff92d4cbfeb raise (libc.so.6)
#1  0x00007ff92d4b65c1 abort (libc.so.6)
#2  0x00007ff92d50e9d7 __libc_message (libc.so.6)
#3  0x00007ff92d5a05ad __GI___fortify_fail_abort (libc.so.6)
#4  0x00007ff92d5a0564 __stack_chk_fail (libc.so.6)
#5  0x00007ff92127c6d8 n/a (intl.so)
#6  0x00005579b5ef3246 n/a (httpd)
Jul 29 21:51:47 srv-rhsoft systemd-coredump[70479]: Process 70473 (httpd) of user 0 dumped core.

Stack trace of thread 70473:
#0  0x00007ff92d4cbfeb raise (libc.so.6)
#1  0x00007ff92d4b65c1 abort (libc.so.6)
#2  0x00007ff92d50e9d7 __libc_message (libc.so.6)
#3  0x00007ff92d5a05ad __GI___fortify_fail_abort (libc.so.6)
#4  0x00007ff92d5a0564 __stack_chk_fail (libc.so.6)
#5  0x00007ff92127c6d8 n/a (intl.so)
#6  0x00005579b5ef3246 n/a (httpd)
Jul 29 21:51:47 srv-rhsoft systemd-coredump[70482]: Process 70463 (httpd) of user 0 dumped core.

Stack trace of thread 79803:
#0  0x00007fdba7136306 __GI___strlen_sse2 (libc.so.6)
#1  0x00007fdb9aeb6104 mysqlnd_connection_connect (mysqlnd.so)
#2  0x00007fdb9ae83b61 n/a (mysqli.so)
#3  0x0000000000000001 n/a (n/a)
Jul 29 22:34:15 srv-rhsoft systemd-coredump[79812]: Process 79806 (httpd) of user 0 dumped core.

Stack trace of thread 79806:
#0  0x00007fdba7136306 __GI___strlen_sse2 (libc.so.6)
#1  0x00007fdb9aeb6104 mysqlnd_connection_connect (mysqlnd.so)
#2  0x00007fdb9ae83b61 n/a (mysqli.so)
#3  0x0000000000000001 n/a (n/a)
Jul 29 22:34:15 srv-rhsoft systemd-coredump[79819]: Process 79790 (httpd) of user 0 dumped core.

Stack trace of thread 79790:
#0  0x00007fdb9ae9f595 n/a (mysqlnd.so)
#1  0x00007fdb9ae83b61 n/a (mysqli.so)
#2  0x0000000000000001 n/a (n/a)
Jul 29 22:34:15 srv-rhsoft systemd-coredump[79818]: Process 79792 (httpd) of user 0 dumped core.

Stack trace of thread 79792:
#0  0x00007fdba7136306 __GI___strlen_sse2 (libc.so.6)
#1  0x00007fdb9aeb6104 mysqlnd_connection_connect (mysqlnd.so)
#2  0x00007fdb9ae83b61 n/a (mysqli.so)
#3  0x0000000000000001 n/a (n/a)
Jul 29 22:34:15 srv-rhsoft systemd-coredump[79814]: Process 79801 (httpd) of user 0 dumped core.

Stack trace of thread 86181:
#0  0x00007ff6db55b6ec n/a (intl.so)
#1  0x000056317bbcf246 n/a (httpd)
Jul 29 22:50:36 srv-rhsoft systemd-coredump[86193]: Process 86173 (httpd) of user 0 dumped core.

Comment 1 Ben Cotton 2019-05-02 21:14:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-10-31 19:26:17 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-04-30 20:49:19 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-05-26 17:43:47 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.